file(GLOB_RECURSE PSEMEK_PROF_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "include/*.hpp")
file(GLOB_RECURSE PSEMEK_PROF_SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "source/*.cpp")

psemek_add_library(psemek-prof ${PSEMEK_PROF_HEADERS} ${PSEMEK_PROF_SOURCES})
target_include_directories(psemek-prof PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/include")
target_link_libraries(psemek-prof PUBLIC psemek-log psemek-util)
